%define plugname imms

Summary:	An intelligent playlist plug-in for XMMS
Name:		xmms-%plugname
Version:	1.1
Release:	2mdk
Source0:	http://prdownloads.sourceforge.net/imms/%{plugname}-%{version}.tar.bz2
Patch1:		%{plugname}-%{version}-gcc341.patch.bz2
License:	GPL
Group:		Sound
Url:		http://www.luminal.org/wiki/index.php/IMMS/IMMS
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xmms
Provides:	imms-plugin
BuildRequires:	xmms-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	pcre-devel
BuildRequires:	readline-devel
BuildRequires:	sqlite-devel
BuildRequires:	taglib-devel

%description
IMMS is an intelligent playlist plug-in for XMMS that tracks the user's
listening patterns and dynamically adapts to his/her taste. It is incredibly
unobtrusive and easy to use as it requires no direct user interaction.

Some tools for the IMMS plugin can be found in the package %{plugname}.

%package -n %{plugname}
Group:		Sound
Summary:	Tools for IMMS
Requires:	imms-plugin

%description -n %{plugname}
IMMS is an intelligent playlist plug-in for XMMS that tracks the user's
listening patterns and dynamically adapts to his/her taste. It is incredibly
unobtrusive and easy to use as it requires no direct user interaction.

This package contains some tools for IMMS. You also need the plugin which
comes in the package xmms-%{plugname}.

%prep
%setup -q -n %{plugname}-%{version}
%patch1

%build
make configure
%configure2_5x
%make libimms.so immstool immsremote

%install
rm -rf $RPM_BUILD_ROOT
%__install -d %{buildroot}/%{_libdir}/xmms/Visualization
%__install -d %{buildroot}/%{_bindir}
%make install-system DESTDIR=%buildroot
%__install immstool %{buildroot}/%{_bindir}
%__install immsremote %{buildroot}/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,0755)
%{_libdir}/xmms/Visualization/libimms.so
%defattr(0644,root,root,0755)
%doc LICENSE INSTALL README

%files -n %{plugname}
%defattr(0755,root,root,0755)
%{_bindir}/*

%changelog
* Sat Jun 12 2004 Michael Reinsch <mr@uue.org> 1.1-2mdk
- patched (patch1) and rebuild with new gcc
- autoconf updates

* Sat Apr 17 2004 Michael Reinsch <mr@uue.org> 1.1-1mdk
- new version
- use taglib
- minor specfile cleanups
- also package the tools which come with IMMS (package imms)

* Tue Mar 02 2004 Michael Reinsch <mr@uue.org> 1.0.1-1mdk
- new version

* Sun Jan 25 2004 Michael Reinsch <mr@uue.org> 1.0-1mdk
- new version

* Thu Dec 06 2003 Michael Reinsch <mr@uue.org> 0.9.9-1mdk
- new version
- spec cleanup

* Thu Nov 13 2003 Michael Reinsch <mr@uue.org> 0.9.8-1mdk
- new version

* Thu Oct 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- fix autoconf macro
- fix buildrequires

* Thu Oct 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.4-1mdk
- 1st mdk spec
